FreeSSHD Key Exchange Buffer Overflow

Published: 2008-08-22 14:09:14
CVE Author: NIST National Vulnerability Database (NVD)

CVSS Base Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Detection Type:
Remote Vulnerability

Summary:
A vulnerable version of FreeSSHd is installed on the remote host.

Impact:
The version installed does not validate key exchange strings send by a SSH client. This results in a buffer overflow and possible a compromise of the host if the client is sending a long key exchange string. Note : At this point the FreeSSHD Service is reported down. You should start it manually again.

Solution Type:
Vendor Patch

Recommendations:
Upgrade to the latest release. See the references for more information.

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2006-2407

SecurityFocus Bugtraq ID:

https://www.securityfocus.com/bid/17958

References:

http://secunia.com/advisories/19846
http://www.freesshd.com/?ctt=download

Search
Severity
High
CVSS Score
7.5

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.